Index: /branches/feature-module-update/html/admin/basis/delivery.php
===================================================================
--- /branches/feature-module-update/html/admin/basis/delivery.php	(revision 15080)
+++ /branches/feature-module-update/html/admin/basis/delivery.php	(revision 15294)
@@ -5,61 +5,14 @@
  * http://www.lockon.co.jp/
  */
+// {{{ requires
 require_once("../require.php");
+require_once(CLASS_PATH . "page_extends/admin/basis/LC_Page_Admin_Basis_Delivery_Ex.php");
 
-class LC_Page {
-	var $arrSession;
-	var $tpl_mode;
-	function LC_Page() {
-		$this->tpl_mainpage = 'basis/delivery.tpl';
-		$this->tpl_subnavi = 'basis/subnavi.tpl';
-		$this->tpl_subno = 'delivery';
-		$this->tpl_mainno = 'basis';
-		global $arrPref;
-		$this->arrPref = $arrPref;
-		global $arrTAXRULE;
-		$this->arrTAXRULE = $arrTAXRULE;
-		$this->tpl_subtitle = '配送業者設定';
+// }}}
+// {{{ generate page
 
-	}
-}
-
-$conn = new SC_DBConn();
-$objPage = new LC_Page();
-$objView = new SC_AdminView();
-$objSess = new SC_Session();
-$objQuery = new SC_Query();
-
-// 認証可否の判定
-sfIsSuccess($objSess);
-
-switch($_POST['mode']) {
-case 'delete':
-	// ランク付きレコードの削除
-	sfDeleteRankRecord("dtb_deliv", "deliv_id", $_POST['deliv_id']);
-	// 再表示
-	sfReload();
-	break;
-case 'up':
-	sfRankUp("dtb_deliv", "deliv_id", $_POST['deliv_id']);
-	// 再表示
-	sfReload();
-	break;
-case 'down':
-	sfRankDown("dtb_deliv", "deliv_id", $_POST['deliv_id']);
-	// 再表示
-	sfReload();
-	break;
-default:
-	break;
-}
-
-// 配送業者一覧の取得
-$col = "deliv_id, name, service_name";
-$where = "del_flg = 0";
-$table = "dtb_deliv";
-$objQuery->setorder("rank DESC");
-$objPage->arrDelivList = $objQuery->select($col, $table, $where);
-
-$objView->assignobj($objPage);
-$objView->display(MAIN_FRAME);
-//--------------------------------------------------------------------------------------------------------------------------------------
+$objPage = new LC_Page_Admin_Basis_Delivery_Ex();
+$objPage->init();
+$objPage->process();
+register_shutdown_function(array($objPage, "destroy"));
+?>
Index: /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 15294)
+++ /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 15294)
@@ -0,0 +1,98 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page.php");
+
+/**
+ * 配送業者設定 のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin_Basis_Delivery extends LC_Page {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+        $this->tpl_mainpage = 'basis/delivery.tpl';
+        $this->tpl_subnavi = 'basis/subnavi.tpl';
+        $this->tpl_subno = 'delivery';
+        $this->tpl_mainno = 'basis';
+        $masterData = new SC_DB_MasterData_Ex();
+        $this->arrPref = $masterData->getMasterData("mtb_pref", array("pref_id", "pref_name", "rank"));
+        $this->arrTAXRULE = $masterData->getMasterData("mtb_taxrule");
+        $this->tpl_subtitle = '配送業者設定';
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $conn = new SC_DBConn();
+        $objView = new SC_AdminView();
+        $objSess = new SC_Session();
+        $objQuery = new SC_Query();
+        $objDb = new SC_Helper_DB_Ex();
+
+        // 認証可否の判定
+        SC_Utils_Ex::sfIsSuccess($objSess);
+
+        if (!isset($_POST['mode'])) $_POST['mode'] = "";
+
+        switch($_POST['mode']) {
+        case 'delete':
+            // ランク付きレコードの削除
+            $objDb->sfDeleteRankRecord("dtb_deliv", "deliv_id", $_POST['deliv_id']);
+            // 再表示
+            SC_Utils_Ex::sfReload();
+            break;
+        case 'up':
+            $objDb->sfRankUp("dtb_deliv", "deliv_id", $_POST['deliv_id']);
+            // 再表示
+            SC_Utils_Ex::sfReload();
+            break;
+        case 'down':
+            $objDb->sfRankDown("dtb_deliv", "deliv_id", $_POST['deliv_id']);
+            // 再表示
+            SC_Utils_Ex::sfReload();
+            break;
+        default:
+            break;
+        }
+
+        // 配送業者一覧の取得
+        $col = "deliv_id, name, service_name";
+        $where = "del_flg = 0";
+        $table = "dtb_deliv";
+        $objQuery->setorder("rank DESC");
+        $this->arrDelivList = $objQuery->select($col, $table, $where);
+
+        $objView->assignobj($this);
+        $objView->display(MAIN_FRAME);
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/feature-module-update/data/class/page_extends/admin/basis/LC_Page_Admin_Basis_Delivery_Ex.php
===================================================================
--- /branches/feature-module-update/data/class/page_extends/admin/basis/LC_Page_Admin_Basis_Delivery_Ex.php	(revision 15294)
+++ /branches/feature-module-update/data/class/page_extends/admin/basis/LC_Page_Admin_Basis_Delivery_Ex.php	(revision 15294)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/admin/basis/LC_Page_Admin_Basis_Delivery.php");
+
+/**
+ * 配送業者設定 のページクラス(拡張).
+ *
+ * LC_Page_Admin_Basis_Delivery をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin_Basis_Delivery_Ex extends LC_Page_Admin_Basis_Delivery {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>