Index: /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 15298)
+++ /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 15298)
@@ -0,0 +1,101 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page.php");
+
+/**
+ * 支払方法設定 のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin_Basis_Payment extends LC_Page {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+        $this->tpl_mainpage = 'basis/payment.tpl';
+        $this->tpl_subnavi = 'basis/subnavi.tpl';
+        $this->tpl_mainno = 'basis';
+        $this->tpl_subno = 'payment';
+        $this->tpl_subtitle = '支払方法設定';
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $conn = new SC_DBConn();
+        $objView = new SC_AdminView();
+        $objSess = new SC_Session();
+        $objDb = new SC_Helper_DB_Ex();
+
+        // 認証可否の判定
+        SC_Utils_Ex::sfIsSuccess($objSess);
+
+        if (!isset($_POST['mode'])) $_POST['mode'] = "";
+
+        switch($_POST['mode']) {
+            case 'delete':
+            // ランク付きレコードの削除
+            $objDb->sfDeleteRankRecord("dtb_payment", "payment_id", $_POST['payment_id']);
+            // 再表示
+            SC_Utils_Ex::sfReload();
+            break;
+        case 'up':
+            $objDb->sfRankUp("dtb_payment", "payment_id", $_POST['payment_id']);
+            // 再表示
+            SC_Utils_Ex::sfReload();
+            break;
+        case 'down':
+            $objDb->sfRankDown("dtb_payment", "payment_id", $_POST['payment_id']);
+            // 再表示
+            SC_Utils_Ex::sfReload();
+            break;
+        }
+
+        $objPage->arrDelivList = $objDb->sfGetIDValueList("dtb_deliv", "deliv_id", "service_name");
+        $objPage->arrPaymentListFree = $this->lfGetPaymentList(2);
+
+        $objView->assignobj($this);
+        $objView->display(MAIN_FRAME);
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+
+    // 配送業者一覧の取得
+    function lfGetPaymentList($fix = 1) {
+        $objQuery = new SC_Query();
+        // 配送業者一覧の取得
+        $col = "payment_id, payment_method, charge, rule, upper_rule, note, deliv_id, fix, charge_flg";
+        $where = "del_flg = 0";
+    //	$where .= " AND fix = ?";
+        $table = "dtb_payment";
+        $objQuery->setorder("rank DESC");
+        $arrRet = $objQuery->select($col, $table, $where);
+        return $arrRet;
+    }
+}
+?>
Index: /branches/feature-module-update/data/class/page_extends/admin/basis/LC_Page_Admin_Basis_Payment_Ex.php
===================================================================
--- /branches/feature-module-update/data/class/page_extends/admin/basis/LC_Page_Admin_Basis_Payment_Ex.php	(revision 15298)
+++ /branches/feature-module-update/data/class/page_extends/admin/basis/LC_Page_Admin_Basis_Payment_Ex.php	(revision 15298)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/admin/basis/LC_Page_Admin_Basis_Payment.php");
+
+/**
+ * 支払方法設定 のページクラス(拡張).
+ *
+ * LC_Page_Admin_Basis_Payment をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin_Basis_Payment_Ex extends LC_Page_Admin_Basis_Payment {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/feature-module-update/html/admin/basis/payment.php
===================================================================
--- /branches/feature-module-update/html/admin/basis/payment.php	(revision 15080)
+++ /branches/feature-module-update/html/admin/basis/payment.php	(revision 15298)
@@ -5,62 +5,15 @@
  * http://www.lockon.co.jp/
  */
+
+// {{{ requires
 require_once("../require.php");
+require_once(CLASS_PATH . "page_extends/admin/basis/LC_Page_Admin_Basis_Payment_Ex.php");
 
-class LC_Page {
-	var $arrSession;
-	var $tpl_mode;
-	function LC_Page() {
-		$this->tpl_mainpage = 'basis/payment.tpl';
-		$this->tpl_subnavi = 'basis/subnavi.tpl';
-		$this->tpl_mainno = 'basis';
-		$this->tpl_subno = 'payment';
-		$this->tpl_subtitle = '支払方法設定';
-	}
-}
-$conn = new SC_DBConn();
-$objPage = new LC_Page();
-$objView = new SC_AdminView();
-$objSess = new SC_Session();
+// }}}
+// {{{ generate page
 
-// 認証可否の判定
-sfIsSuccess($objSess);
-
-switch($_POST['mode']) {
-	case 'delete':
-	// ランク付きレコードの削除
-	sfDeleteRankRecord("dtb_payment", "payment_id", $_POST['payment_id']);
-	// 再表示
-	sfReload();
-	break;
-case 'up':
-	sfRankUp("dtb_payment", "payment_id", $_POST['payment_id']);
-	// 再表示
-	sfReload();
-	break;
-case 'down':
-	sfRankDown("dtb_payment", "payment_id", $_POST['payment_id']);
-	// 再表示
-	sfReload();
-	break;
-}
-
-$objPage->arrDelivList = sfGetIDValueList("dtb_deliv", "deliv_id", "service_name");
-$objPage->arrPaymentListFree = lfGetPaymentList(2);
-
-$objView->assignobj($objPage);
-$objView->display(MAIN_FRAME);
-//-----------------------------------------------------------------------------------------------------------------------------------
-// 配送業者一覧の取得
-function lfGetPaymentList($fix = 1) {
-	$objQuery = new SC_Query();
-	// 配送業者一覧の取得
-	$col = "payment_id, payment_method, charge, rule, upper_rule, note, deliv_id, fix, charge_flg";
-	$where = "del_flg = 0";
-//	$where .= " AND fix = ?";
-	$table = "dtb_payment";
-	$objQuery->setorder("rank DESC");
-	$arrRet = $objQuery->select($col, $table, $where);
-	return $arrRet;
-}
-
+$objPage = new LC_Page_Admin_Basis_Payment_Ex();
+$objPage->init();
+$objPage->process();
+register_shutdown_function(array($objPage, "destroy"));
 ?>