Index: branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_News_Ex.php
===================================================================
--- branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_News_Ex.php	(revision 15367)
+++ branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_News_Ex.php	(revision 15367)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php");
+
+/**
+ * 新着情報 のページクラス(拡張).
+ *
+ * LC_Page_FrontParts_Bloc_News をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_FrontParts_Bloc_News_Ex extends LC_Page_FrontParts_Bloc_News {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Category_Ex.php
===================================================================
--- branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Category_Ex.php	(revision 15367)
+++ branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Category_Ex.php	(revision 15367)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php");
+
+/**
+ * カテゴリ のページクラス(拡張).
+ *
+ * LC_Page_FrontParts_Bloc_Category をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_FrontParts_Bloc_Category_Ex extends LC_Page_FrontParts_Bloc_Category {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5_Ex.php
===================================================================
--- branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5_Ex.php	(revision 15367)
+++ branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5_Ex.php	(revision 15367)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5.php");
+
+/**
+ * Best5 のページクラス(拡張).
+ *
+ * LC_Page_FrontParts_Bloc_Best5 をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_FrontParts_Bloc_Best5_Ex extends LC_Page_FrontParts_Bloc_Best5 {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Login_Ex.php
===================================================================
--- branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Login_Ex.php	(revision 15367)
+++ branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Login_Ex.php	(revision 15367)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php");
+
+/**
+ * ログイン のページクラス(拡張).
+ *
+ * LC_Page_FrontParts_Bloc_Login をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_FrontParts_Bloc_Login_Ex extends LC_Page_FrontParts_Bloc_Login {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart_Ex.php
===================================================================
--- branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart_Ex.php	(revision 15367)
+++ branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart_Ex.php	(revision 15367)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php");
+
+/**
+ * カート のページクラス(拡張).
+ *
+ * LC_Page_カート をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_FrontParts_Bloc_Cart_Ex extends LC_Page_FrontParts_Bloc_Cart {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts_Ex.php
===================================================================
--- branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts_Ex.php	(revision 15367)
+++ branches/feature-module-update/data/class/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts_Ex.php	(revision 15367)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php");
+
+/**
+ * 検索ブロック のページクラス(拡張).
+ *
+ * LC_Page_FrontParts_Bloc_SearchProducts をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_FrontParts_Bloc_SearchProducts_Ex extends LC_Page_FrontParts_Bloc_SearchProducts {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: branches/feature-module-update/data/class/page_extends/frontparts/LC_Page_FrontParts_LoginCheck_Ex.php
===================================================================
--- branches/feature-module-update/data/class/page_extends/frontparts/LC_Page_FrontParts_LoginCheck_Ex.php	(revision 15367)
+++ branches/feature-module-update/data/class/page_extends/frontparts/LC_Page_FrontParts_LoginCheck_Ex.php	(revision 15367)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/frontparts/LC_Page_FrontParts_LoginCheck.php");
+
+/**
+ * ログインチェック のページクラス(拡張).
+ *
+ * LC_Page_FrontParts_LoginCheck をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_FrontParts_LoginCheck_Ex extends LC_Page_FrontParts_LoginCheck {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>